package com.tzld.longarticle.recommend.server.common.enums.longArticle;

import lombok.Getter;

@Getter
public enum PublishSingleVideoSourceStatusEnum {

    DEFAULT(0, "初始"),
    PROCESSING(1, "处理中"),
    SUCCESS(2, "处理完成"),
    FAIL(3, "处理失败"),
    ;

    private final int code;
    private final String msg;

    PublishSingleVideoSourceStatusEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static PublishSingleVideoSourceStatusEnum getByCode(int code) {
        for (PublishSingleVideoSourceStatusEnum statusEnum : PublishSingleVideoSourceStatusEnum.values()) {
            if (statusEnum.getCode() == code) {
                return statusEnum;
            }
        }
        return null;
    }
}
