package com.tzld.longarticle.recommend.server.common.enums.longArticle;

import lombok.Getter;

@Getter
public enum VideoTitleReWriteEnum {

    UNAVAILABLE(0, "不可用"),
    AVAILABLE(1, "可用"),
    ;

    private final int code;
    private final String msg;

    VideoTitleReWriteEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static VideoTitleReWriteEnum getByCode(int code) {
        for (VideoTitleReWriteEnum statusEnum : VideoTitleReWriteEnum.values()) {
            if (statusEnum.getCode() == code) {
                return statusEnum;
            }
        }
        return null;
    }
}
