package com.tzld.longarticle.recommend.server.mapper.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.ArticleCategory;
import com.tzld.longarticle.recommend.server.model.entity.longArticle.PublishSingleVideoSource;
import com.tzld.longarticle.recommend.server.model.vo.ArticleCategoryListVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ArticleCategoryMapper {

    void batchInsertArticleCategory(List<ArticleCategory> list);

    Integer articleCategoryCount(String title);

    List<ArticleCategoryListVO> articleCategoryList(String title, Integer offset, Integer pageSize);

    void updateArticleCategory(String title, String category);

    void updateDatastatScoreCategory(String title, String category);

    List<PublishSingleVideoSource> getVideoPoolArticleCategoryDealList(Integer version);
}
