package com.tzld.longarticle.recommend.server.model.param.videoAudit;

import com.tzld.longarticle.recommend.server.model.param.ListItemFilterOrderParam;
import lombok.Data;

import java.util.List;

@Data
public class ArticleVideoAuditListParam {
    private List<String> contentId;
    private List<String> title;
    private List<Integer> status;
    private List<String> auditAccount;
    private List<String> sourceProducePlan;
    private List<String> flowPoolLevel;
    private ListItemFilterOrderParam auditTimestamp;

    private Integer pageNum = 1;
    private Integer pageSize = 50;
}
