package com.tzld.longarticle.recommend.server.model.vo;

import lombok.Data;

@Data
public class ContentGroupFunnelExport {

    private String dateStr;
    private String type;
    private String source;
    private Long crawlerCount;
    private Long produceCount;
    private Double produceRate;
    private Long produceAuditCount;
    private Long produceAuditPassCount;
    private Double produceAuditPassRate;
    private Long matchCount;
    private Long matchSuccessCount;
    private Double matchSuccessRate;
    private Long videoPoolPQAuditCount;
    private Long videoPoolPQAuditPassCount;
    private Double videoPoolPQAuditPassRate;
    private Long videoAuditCount;
    private Long videoAuditPassCount;
    private Double videoAuditPassRate;

    public static ContentGroupFunnelExport getDefault() {
        ContentGroupFunnelExport export = new ContentGroupFunnelExport();
        export.setCrawlerCount(0L);
        export.setProduceCount(0L);
        export.setProduceRate(0.0);
        export.setProduceAuditPassCount(0L);
        export.setProduceAuditCount(0L);
        export.setProduceAuditPassRate(0.0);
        export.setMatchCount(0L);
        export.setMatchSuccessCount(0L);
        export.setMatchSuccessRate(0.0);
        export.setVideoPoolPQAuditCount(0L);
        export.setVideoPoolPQAuditPassCount(0L);
        export.setVideoPoolPQAuditPassRate(0.0);
        export.setVideoAuditPassCount(0L);
        export.setVideoAuditCount(0L);
        export.setVideoAuditPassRate(0.0);
        return export;
    }

}
