package com.tzld.longarticle.recommend.server.model.vo;

import lombok.Data;

@Data
public class CoverStatisticDataExport {

    public CoverStatisticDataExport() {

    }

    public CoverStatisticDataExport(String dateStr, String channel, String group, String index) {
        this.dateStr = dateStr;
        this.channel = channel;
        this.index = index;
        this.group = group;

    }

    private String dateStr;

    private String channel;

    private String group;

    private String index;

    private Integer fans = 0;

    private Integer publishCount = 0;

    private Integer showViewCount = 0;

    private Double showViewRate = 0.0;

    private Integer allFirstLevel = 0;

    private Integer oneFirstLevel = 0;

    private Integer twoFirstLevel = 0;

    private Double allFirstLevelRate = 0.0;

    private Double oneFirstLevelRate = 0.0;

    private Double twoFirstLevelRate = 0.0;

    private Integer allFission0 = 0;

    private Integer oneFission0 = 0;

    private Integer twoFission0 = 0;

    private Double allFission0Rate = 0.0;

    private Double oneFission0Rate = 0.0;

    private Double twoFission0Rate = 0.0;


}
