package com.tzld.longarticle.recommend.server.model.vo;

import lombok.Data;

@Data
public class VideoPoolAuditListVO {

    private String contentId;
    private Integer status;
    private String title;
    private String synopsis;
    private String flowPoolLevel;
    private Long crawlerTimestamp;
    private String auditAccount;
    private Long auditTimestamp;
    private VideoItem video;

    @Data
    public static class VideoItem {
        private String videoId;
        private String title;
        private String videoUrl;
        private String coverUrl;
    }
}
