package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticleCrawlerVideo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface LongArticleCrawlerVideoRepository extends JpaRepository<LongArticleCrawlerVideo, Long> {

    List<LongArticleCrawlerVideo> getByTraceIdIn(List<String> traceIds);

    List<LongArticleCrawlerVideo> getByContentIdIn(List<String> contentIds);

    List<LongArticleCrawlerVideo> getByContentIdAndIsIllegal(String contentId, Integer isIllegal);

    List<LongArticleCrawlerVideo> getByContentIdInAndIsIllegal(List<String> contentIds, Integer isIllegal);

    List<LongArticleCrawlerVideo> getByVideoOssPath(String ossPath);

    LongArticleCrawlerVideo getById(Long videoId);

    long countByAuditTimestampBetween(Long start, Long end);

    List<LongArticleCrawlerVideo> getByAuditTimestampBetween(Long start, Long end);

    long countByStatusAndAuditTimestampBetween(Integer status, Long start, Long end);

    List<LongArticleCrawlerVideo> getByContentId(String rootProduceContentId);
}