package com.tzld.longarticle.recommend.server.common.enums.aigc;


import lombok.Getter;

@Getter
public enum ChannelEnum {
    point(-1, "内容点"),
    xhs(1, "小红书"),
    douyin(2, "抖音"),
    pinterest(3, "pinterest"),
    reddit(4, "reddit"),
    wx(5, "公众号"),
    toutiao(6, "头条"),
    kuaishou(7, "快手"),
    bilibili(8, "哔哩哔哩"),
    wxVideoPlatform(9, "视频号"),
    piaoquan(10, "票圈"),
    baidu(11, "百度"),
    algorithm(12, "算法内容库"),
    work_wx(13, "企业微信"),

    other(999, "其他");

    private final int val;
    private final String description;

    ChannelEnum(int val, String description) {
        this.val = val;
        this.description = description;
    }

    public static ChannelEnum from(int val) {
        for (ChannelEnum channelEnum : ChannelEnum.values()) {
            if (channelEnum.getVal() == val) {
                return channelEnum;
            }
        }

        return other;
    }


}
