package com.tzld.longarticle.recommend.server.common.enums.aigc;

import lombok.Getter;

@Getter
public enum MiniprogramUseTypeEnum {
    Default(1, "自然流"),
    Touliu(2, "投流"),
    Qiwei(3, "企微"),
    Daitou(4, "代投"),
    GzhDaixuan(5, "公众号合作代选"),
    ;


    private final int val;
    private final String description;

    MiniprogramUseTypeEnum(int val, String description) {
        this.val = val;
        this.description = description;
    }

    public static MiniprogramUseTypeEnum from(int val) {
        for (MiniprogramUseTypeEnum typeEnum : MiniprogramUseTypeEnum.values()) {
            if (typeEnum.getVal() == val) {
                return typeEnum;
            }
        }

        return Default;
    }
}
