package com.tzld.longarticle.recommend.server.model.param;

import lombok.Data;

import java.util.List;

@Data
public class ListItemFilterOrderParam {

    // 列表名
    private String listName;
    // 数据项
    private String itemName;
    // 渠道
    private Integer channel;
    // 模态（2-图文，3-长文，4-视频）
    private Integer modal;
    // 监控类型
    private Integer type;
    // 动作计划类型
    private Integer planType;
    // 选择的值
    private List<String> selectValues;
    // 条件操作符（大于/等于/小于/介于/开头是/结尾是/包含/不包含/早于/晚于）
    private String conditionOperator;
    // 条件值1
    private String conditionValue1;
    // 条件值2
    private String conditionValue2;
    // 排序方式，asc/desc
    private String orderType;

}
