package com.tzld.longarticle.recommend.server.model.vo;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.DatastatSortStrategy;
import lombok.Data;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.BeanUtils;

import java.util.ArrayList;
import java.util.List;

@Data
public class NewSortStrategyExport {

    private String dateStr;
    private String publishTime;
//    private String accountMode;
    private String accountSource;
//    private String accountType;
    private String accountStatus;
    private String businessType;
    private String accountName;
    private String strategy;
    private Integer fans;
//    private Integer viewCount;
    private Double avgViewCount;
//    private Integer firstViewCount;
//    private Double firstAvgViewCount;
//    // 首日
//    private Integer firstLevel;
//    private Integer fission0;
//    private Integer fission1;
//    private Integer fission2;
//    // 次日
//    private Integer secondFirstLevel;
//    private Integer secondFission0;
//    private Integer secondFission1;
//    private Integer secondFission2;
//    // 第三日
//    private Integer thirdFirstLevel;
//    private Integer thirdFission0;
//    private Integer thirdFission1;
//    private Integer thirdFission2;
    private Double readRate = 0.0;
    private Double readFansRate = 0.0;
    private Double firstReadRate = 0.0;
    private Double fission0FirstRate = 0.0;
    private Double fission0HeadFirstRate = 0.0;
    private Double fission0RecommendFirstRate = 0.0;
    private Double fission1Fission0Rate = 0.0;
    private Double fission0ReadAvgRate = 0.0;
    //历史信息
    private Double hisReadRate = 0.0;
    private Double hisFirstReadRate = 0.0;
    private Double hisFission0FirstRate = 0.0;

    private Integer position;
    private String ghId;
    private String title;
    private String link;
//    private String wxSn;
//    private Double fission0ReadAvg100Rate = 0.0;
//    private Double fission0ReadAvg500Rate = 0.0;
//    private Double fission0ReadAvg1000Rate = 0.0;

    // 抓取计划名称
    private String crawlerPlanName;
//    // 抓取计划策略
//    private String crawlerPlanTag;
    // 生成计划名称
    private String producePlanName;
//    // 生成计划策略
//    private String producePlanTag;
    // 发布计划名称
    private String publishPlanName;
//    // 发布匹配小程序策略
//    private String publishMiniProgramInsertStrategy;
//    // 发布匹配小程序小程序用途
//    private String publishMiniProgramInsertUseType;
//    // 发布内容小程序数量
//    private Integer publishMiniProgramNum;
    // 源生成计划名称
    private String sourceProducePlanName;

    public static List<NewSortStrategyExport> dbObjToExportObj(List<DatastatSortStrategy> list) {
        if (CollectionUtils.isEmpty(list)) {
            return null;
        }
        List<NewSortStrategyExport> result = new ArrayList<>();
        list.forEach(item -> {
            NewSortStrategyExport export = new NewSortStrategyExport();
            BeanUtils.copyProperties(item, export);
            result.add(export);
        });
        return result;
    }

}
