package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.PublishSingleVideoSource;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PublishSingleVideoSourceRepository extends JpaRepository<PublishSingleVideoSource, Long> {
    List<PublishSingleVideoSource> getByContentTraceIdIn(List<String> contentTraceIds);

    PublishSingleVideoSource getByContentTraceId(String sourceId);

    PublishSingleVideoSource getByUpLevelSource(String sourceId);

    List<PublishSingleVideoSource> getByVideoPoolAuditStatus(Integer status);

    List<PublishSingleVideoSource> getByCrawlerTimestampBetweenAndBadStatus(Long start, Long end, Integer badStatus);

    List<PublishSingleVideoSource> getByCrawlerTimestampBetweenAndPlatformAndBadStatus(Long start, Long end, String platform, Integer badStatus);

    List<PublishSingleVideoSource> getByAuditTimestampBetween(Long start, Long end);

    List<PublishSingleVideoSource> getByAuditTimestampBetweenAndPlatform(Long start, Long end, String platform);

    List<PublishSingleVideoSource> getByVideoPoolAuditTimestampBetween(Long start, Long end);

    List<PublishSingleVideoSource> getByVideoPoolAuditTimestampBetweenAndPlatform(Long start, Long end, String platform);

    List<PublishSingleVideoSource> getByVideoOssPathIn(List<String> videoOssPaths);
}
