package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.VideoContentUnderstanding;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface VideoContentUnderstandingRepository extends JpaRepository<VideoContentUnderstanding, Long> {

    List<VideoContentUnderstanding> getByContentTraceIdInAndSummaryStatus(List<String> contentTraceIdList, Integer summaryStatus);
}
