package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.VideoTitleReWrite;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface VideoTitleReWriteRepository extends JpaRepository<VideoTitleReWrite, Long> {

    List<VideoTitleReWrite> getByContentTraceIdInAndStatusAndTitleAuditStatus(List<String> contentTraceIdList,
                                                                              Integer status, Integer titleAuditStatus);

    List<VideoTitleReWrite> getByContentTraceIdInAndStatus(List<String> contentTraceIdList, Integer status);

    List<VideoTitleReWrite> getByContentTraceId(String contentTraceId);
}
